# https://pypi.python.org/packages/bf/3e/31d502c25302814a7c2f1d3959d2a3b3f78e509002ba91aea64993936876/enum34-1.1.6.tar.gz
%global module enum34

Name:           python-%{module}
Version:        1.1.6
Release:        %mkrel 2
Summary:        Backport of Python 3.4 Enum

Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/enum34
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
Python 3.4 introduced official support for enumerations.  This is a
backport of that feature to Python 3.3, 3.2, 3.1, 2.7, 2.5, 2.5, and 2.4.

An enumeration is a set of symbolic names (members) bound to unique,
constant values. Within an enumeration, the members can be compared by
identity, and the enumeration itself can be iterated over.

This module defines two enumeration classes that can be used to define
unique sets of names and values: Enum and IntEnum. It also defines one
decorator, unique, that ensures only unique member names are present
in an enumeration.

%prep
%setup -qn %{module}-%{version}

%build
%py2_build

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}
# remove docs from sitelib, we'll put them in doc dir instead
rm -rf %{buildroot}%{python_sitelib}/enum/{LICENSE,README,doc}

%files
%doc PKG-INFO enum/LICENSE enum/README enum/doc/enum.rst
%{python_sitelib}/*

%changelog
* Tue Aug 23 2022 tex - 1.1.6-2pclos2022
- rebuild against updates

* Sun Apr 01 2018 marcin82 <fixxer1982 at gmail.com> 1.1.6-1pclos2018
- update

* Tue May 23 2017 bb2 <bb2> 1.0.4-2pclos2017
- rebuild for 2017
